# TWFConnectionList Class Reference

Inheritance diagram for TWFConnectionList:

List of all members.

## Public Member Functions
| TWFConnectionList ()
void | Clear ()
int32 | GetConnectionsCount () const
const TWFConnection & | GetConnectionRef (int32 inConnectionIndex) const
void | PreAllocateConnections (int32 inConnectionsCount)
void | AddConnection (const TWFConnection &cnx)
void | AddConnection (const TVector3 &from, const TVector3 &to)
void | AllocateConnections (int32 inConnectionsCount)
TWFConnection & | GetConnectionRef (int32 inConnectionIndex)
void | SetIsSelectable (boolean inSelectable)
boolean | GetIsSelectable () const
## Protected Attributes
TMCArray< TWFConnection > | fConnections
boolean | fIsSelectable
## Friends
class | TCachedWFConnectionList

## Detailed Description

A list of connections in a TWFPointList with a single color to draw them. (single color for hardware optimisation)

## Constructor & Destructor Documentation

TWFConnectionList::TWFConnectionList | ( |  | ) | `[inline]`

## Member Function Documentation

void TWFConnectionList::AddConnection | ( | const TVector3 & | from,
|  | const TVector3 & | to |
| ) |  |  | `[inline]`

Add a connection in the list. You can call PreAllocatePoints before adding points, but you don't have to.

Parameters:

  | from | The start point of the connection.
  | to | The end point of the connection.

void TWFConnectionList::AddConnection | ( | const TWFConnection & | cnx | ) | `[inline]`

Add a connection in the list. You can call PreAllocatePoints before adding points, but you don't have to.

Parameters:

  | cnx | The connexion to add.

void TWFConnectionList::AllocateConnections | ( | int32 | inConnectionsCount | ) | `[inline]`

Create a list with a special number of connections. To access to the connections use GetPointRef.

Parameters:

  | inConnectionsCount | The number of connections.

void TWFConnectionList::Clear | ( |  | ) | `[inline]`

Reimplemented from TWFPointList.

TWFConnection& TWFConnectionList::GetConnectionRef | ( | int32 | inConnectionIndex | ) | `[inline]`

Get a reference to a connection in the list.

Parameters:

  | inConnectionIndex | The connection's index.

const TWFConnection& TWFConnectionList::GetConnectionRef | ( | int32 | inConnectionIndex | ) | const`[inline]`

Get a connection from the list

Parameters:

  | inConnectionIndex | The connection's index

int32 TWFConnectionList::GetConnectionsCount | ( |  | ) | const`[inline]`

Get the number of connections in this connections list

Returns:
  the count of connections.

boolean TWFConnectionList::GetIsSelectable | ( |  | ) | const`[inline]`

void TWFConnectionList::PreAllocateConnections | ( | int32 | inConnectionsCount | ) | `[inline]`

Prepare space for connections in this list. After that you can use AddConnection.

Parameters:

  | inConnectionsCount | The number of points there will be here.

void TWFConnectionList::SetIsSelectable | ( | boolean | inSelectable | ) | `[inline]`

## Friends And Related Function Documentation

friend class TCachedWFConnectionList`[friend]`

## Member Data Documentation

TMCArray<TWFConnection> TWFConnectionList::fConnections`[protected]`

boolean TWFConnectionList::fIsSelectable`[protected]`

The documentation for this class was generated from the following file:

- I3DWireFrameSet.h